Bug 140875

Summary: Gnome terminal only scrolls the bottom line with BitchX
Product: [Fedora] Fedora Reporter: Hesty <hestyp>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED CANTFIX QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 3CC: hobbit, mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-31 15:32:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Hesty 2004-11-25 19:37:17 EST
Description of problem:
Gnome terminal only scrolls the bottom line with BitchX (and maybe
epic too).

Version-Release number of selected component (if applicable):
Gnome terminal with FC3

How reproducible:
Always

Steps to Reproduce:
1. Start BitchX, connect to a server (EFNET, Dalnet, etc).
2. Join a channel if necessary.
3. 
  
Actual results:
Notice only the bottom line scrolls with new text. All the lines above
stay static.

Expected results:
The whole screen should scroll.

Additional info:
Konsole behaves the right way.
Comment 1 Alan Cox 2005-01-04 17:50:51 EST
Same with epic if you split the screen

Something is mishandling scrolling regions ?
Comment 2 Telsa Gwynne 2005-01-04 18:30:38 EST
I just met this on an upgrade from FC2 to FC3. There is a workaround,
luckily. 

In case any of this helps narrow stuff down...

I use epic with a "split screen", ie created by /window new. Generally on 
terminals which are about 70 lines long (but the normal 80 chars wide; ie,
I'm not talking about maximised windows). No menubar. $TERM="xterm".
As soon as irc's output reached the bottom of the screen, I got the
same problem. Tried irssi (not a RH-supplied rpm, but an rpm for
Fedora) and
the same thing happened. I don't think irssi is the same code base as
epic?

Things which had no effect: 

    * adding a menubar.
    * menu->Reset+Clear
    * ^L

What worked (yay!)

    * export TERM="gnome"

Killed epic, set TERM to "gnome", restarted epic, things worked as
expected. 

Comment 3 Hesty 2005-01-06 16:16:21 EST
Sort of workaround and might shed some new light. If I run BitchX from
screen, the scrolling works fine most of the time. If the scrolling
misbehaves, I can simply detach the screen and reattach and the
scrolling works again.
Comment 4 Matthew Miller 2006-07-10 18:04:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-31 15:32:28 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.